# TdApi.RichTextAnchorLink (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: RichTextAnchorLink

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.RichTextAnchorLink

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.RichText
it.tdlight.jni.TdApi.RichTextAnchorLink

Enclosing class:
  TdApi

public static final class TdApi.RichTextAnchorLink extends TdApi.RichText
A link to an anchor on the same web page.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`anchorName`
The anchor name.
`static final int`
`CONSTRUCTOR`
`TdApi.RichText`
`text`
The link text.
`String`
`url`
An HTTP URL, opening the anchor.

## Constructor Summary

Constructors
Constructor
Description
`RichTextAnchorLink()`
A link to an anchor on the same web page.
`RichTextAnchorLink(TdApi.RichText text, String anchorName, String url)`
A link to an anchor on the same web page.
`RichTextAnchorLink(DataInput input)`
A link to an anchor on the same web page.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public TdApi.RichText text
The link text.

### anchorName

public String anchorName
The anchor name. If the name is empty, the link must bring back to top.

### url

public String url
An HTTP URL, opening the anchor.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### RichTextAnchorLink

public RichTextAnchorLink()
A link to an anchor on the same web page.

### RichTextAnchorLink

public RichTextAnchorLink(TdApi.RichText text, String anchorName, String url)
A link to an anchor on the same web page.

Parameters:
  `text` - RichText The link text.
  `anchorName` - String The anchor name. If the name is empty, the link must bring back to top.
  `url` - String An HTTP URL, opening the anchor.

### RichTextAnchorLink

public RichTextAnchorLink(DataInput input) throws IOException
A link to an anchor on the same web page.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`